{
  "name": "wos/productivity_report/time_period.json",
  "database": "4d",
  "parameter": {
    "show_sql": true,
    "start_date2": "",
    "end_date2": "",
    "load_group": [],
    "production_lot": [],
    "subqueryX": "SELECT record_id FROM work_order_schedule WHERE CONCAT(production_lot, CONCAT('#', work_phase)) IN (SELECT CONCAT(production_lot, CONCAT('#', work_phase_est_id)) FROM work_phase_actual WHERE date_ BETWEEN '{{start_date2}}' AND '{{end_date2}}' AND work_load_group_id IN ({{load_group}}))"
  },
  "queryX": [
    [
      "wos_record_id",
      "in",
      "subquery"
    ]
  ],
  "query": [
    [ "wos_work_load_group_id", "in", "load_group"], "and",
    [ "wos_production_lot", "in", "production_lot"]
  ],
  "field": [
    "wos_production_lot",
    "wos_work_phase",
    "wos_work_phase_state",
    "wos_failed_amount",
    "wos_remaining_amount",
    "wos_produced_amount"
  ]
}
